Subject: bug#27418: closed (Re: bug#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Jun 2017 18:57:02 +0000

Your bug report

#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27418: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27418
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27418: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"
From: Ricardo Wurmus <[email-masked]>
To: Mekeor Melire <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Wed, 21 Jun 2017 20:56:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mekeor Melire <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>> Ricardo Wurmus <[email-masked]> skribis:
>>> Mekeor Melire <[email-masked]> writes:
>>>
>>> I’m not sure but it may have been caused by a hung “guix publish”
>>> process.
>>
>> Indeed, yesterday I realized ‘guix publish’ on hydra.gnu.org was stuck
>> for unknown reasons, meaning that it would not reply to HTTP requests
>> nor would it “bake” archives.  That’s likely the root cause.
>
> Yes, this issue no longer appears for me. Thank y'all. Could you close
> the bug?

I’m closing this by sending email to [email-masked].
Thanks!

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"
From: Mekeor Melire <[email-masked]>
To: [email-masked]
Date: Sun, 18 Jun 2017 15:21:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

Yesterday, I installed GuixSD on yet another device. (I did `guix pull`
before `guix system init ...`, so I guess I installed the latest version
from the master-branch of the Guix' Git-repository on the system.)

After rebooting, I ran `guix pull` (as root) but it didn't stop printing

    substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%

even after letting it run over night for like 8 hours.

I asked for help on #guix@freenode and rekado confirmed my issue:

    <rekado_> mekeor: I see the same with master
    <rekado_> but a couple of commits back it seems fine

(And finally, assuming this bug gets fixed, I wonder if/how I will be
able to pull a working version of Guix if I only have one=this
non-functional version of Guix installed.)

--
mekeor ~ EDD3 DFFA 76F6 11C0 145F 9A99 AC85 BAD8 A2F8 C868